#
# spec file for package wv (Version 0.6.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake freetype2 freetype2-devel gettext libjpeg libpng libtiff libwmf libwmf-devel libxml2 libxml2-devel libz xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libwmf libwmf-devel libxml2 libxml2-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         wv
Obsoletes:    mswordvw
Provides:     mswordvw
Copyright:    GPL
Group:        Utilities/Text 
Autoreqprov:  on
Version:      0.6.5
Release:      75
Summary:      A Word 8 converter for Unix
URL:          http://www.wvWare.com/wvWare.html
Source: http://www.csn.ul.ie/~caolan/publink/mswordview/wv-%{version}.tar.bz2
Patch: wv-%{version}.dif
Patch2: wv-%{version}-s390.patch
Patch3: wv-%{version}-ia64.patch
Patch5: wv-%{version}-autoconf.patch
BuildRoot:    /var/tmp/%{name}-build

%description
MSWordView is a program that can understand the microsofts word 8
binary file format (office97), it currently converts word into html,
which can then be read with a browser.
MSWordView is being actively worked on, and will be pretty bleeding
edge for the next few weeks.

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

SuSE series: ap

%package devel
Requires: wv
Requires: libwmf-devel
Obsoletes: mswordvd
Provides:  mswordvd
Summary:      Static Libraries and Header Files for mswordvw
Group: Development/Libraries
Autoreqprov:  on

%description devel
Only needed by developers

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

SuSE series: d

%prep
%setup
%patch
%patch2
%patch3
%patch5

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
     --prefix=/usr --mandir=%{_mandir} --with-libwmf $RPM_ARCH-suse-linux
make

%install
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir} install
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -Rf examples feature-examples notes \
   $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
chmod 644 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*/*
rm $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/examples/*.sh
install -m 644 CHANGELOG COPYING CREDITS D_CREDITS D_README README TESTING  \
           TODO.TXT KNOWN-BUGS $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/make_epses.sh
/usr/bin/wvAbw
/usr/bin/wvCleanLatex
/usr/bin/wvConvert
/usr/bin/wvDVI
/usr/bin/wvHtml
/usr/bin/wvLatex
/usr/bin/wvMime
/usr/bin/wvPDF
/usr/bin/wvPS
/usr/bin/wvRTF
/usr/bin/wvSimpleCLX
/usr/bin/wvSummary
/usr/bin/wvText
/usr/bin/wvVersion
/usr/bin/wvWare
/usr/bin/wvWml
/usr/share/wv
%doc %{_mandir}/*/*
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/CHANGELOG
%doc %{_defaultdocdir}/%{name}/COPYING
%doc %{_defaultdocdir}/%{name}/D_CREDITS
%doc %{_defaultdocdir}/%{name}/D_README
%doc %{_defaultdocdir}/%{name}/KNOWN-BUGS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/TESTING
%doc %{_defaultdocdir}/%{name}/TODO.TXT

%files devel
/usr/bin/wv-libconfig
/usr/bin/wv-incconfig
/usr/lib/*.a
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/examples
%doc %{_defaultdocdir}/%{name}/feature-examples
%doc %{_defaultdocdir}/%{name}/notes

%changelog -n wv
* Thu Jun 28 2001 - nadvornik@suse.cz
- update to 0.6.5
- libwmf is now a separate package
* Wed Jun 13 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri May 18 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Apr 23 2001 - nadvornik@suse.cz
- fixed to compile on s390
* Mon Mar 12 2001 - nadvornik@suse.cz
- libwmf compiled with -fPIC, now it can be linked to
  ImageMagick module
* Thu Feb 08 2001 - nadvornik@suse.cz
- update wv to 0.6.4, libwmf to 0.1.21
- fixed bug #6165
* Wed Nov 22 2000 - nadvornik@suse.cz
- fixed docdir name
* Tue Nov 21 2000 - schwab@suse.de
- Fix permissions.
- Remove all CVS directories.
- Avoid double slashes.
* Fri Nov 10 2000 - nadvornik@suse.cz
- rename mswordvw -> wv
-        mswordvd -> wv-devel
- update wv to 0.6.2, libwmf to 0.1.20
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild for ImageMagick
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 18 2000 - nadvornik@suse.cz
- added magickd to neededforbuild
- fixed to compile
* Mon Jun 19 2000 - nadvornik@suse.cz
- update to 0.5.44
* Mon Jun 05 2000 - nadvornik@suse.cz
- fixed to compile with ImageMagick-5.2.0
* Fri May 26 2000 - schwab@suse.de
- Update config files.
* Thu May 18 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
* Tue May 02 2000 - nadvornik@suse.cz
- fixed to compile
* Thu Apr 20 2000 - nadvornik@suse.cz
- fixed filelist
- created development subpackage mswordvd
* Tue Apr 18 2000 - nadvornik@suse.cz
- update to 0.5.43, libwmf 0.1.17
- added Buildroot
* Mon Jan 31 2000 - kukuk@suse.de
- Update to 0.5.14-bw6
- Fix spec file
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - uli@suse.de
- added some missing files
* Fri May 21 1999 - kukuk@suse.de
- Update mswordview to 0.5.14
* Thu Apr 29 1999 - kukuk@suse.de
- first initial version of mswordview 0.5.10 with libwmf 0.1.9
